#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - util-linux installation
#
# Creation   :  2010-11-06 holbru
# Last update:  $Id: postinstall-util-linux.sh 40618 2016-02-19 22:15:18Z hbfl $
#
# Copyright (c) 2010-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set package name
package_name=util-linux

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
#lib_names=""
#
#cd /lib
#
#for LNAME in ${lib_names}
#do
#    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
#    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
#    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
#    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`
#
#    LinkDES="${LNAME}"
#    LinkSRC="${lib_name}.so.${lib_major}"
#
#    rm -f ${LinkSRC}
#    ln -sf ${LinkDES} ${LinkSRC}
#    echo "b 0644 root root ${package_name} lib/${LinkSRC}" \
#          >>/etc/filelist.d/${package_name}-files.txt
#done
# ---------------------------------------------------------------------------
# running ldconfig
# ---------------------------------------------------------------------------
#/sbin/ldconfig

# ---------------------------------------------------------------------------
# update-2.2.2
# ---------------------------------------------------------------------------
update_2_2_2()
{

# ---------------------------------------------------------------------------
# UsrMerge
# ---------------------------------------------------------------------------
bin_files="dmesg
findmnt
kill
lsblk
more
mount
mountpoint
umount
wdctl"

sbin_files="agetty
blkdiscard
blkid
blockdev
cfdisk
chcpu
ctrlaltdel
fdisk
findfs
fsck
fsck.cramfs
fsck.minix
fsfreeze
fstrim
hwclock
losetup
mkfs
mkfs.bfs
mkfs.cramfs
mkfs.minix
mkswap
pivot_root
raw
sfdisk
swaplabel
swapoff
swapon
switch_root
wipefs"

cd /bin
for _fname in ${bin_files}
do
   rm -f ${_fname}
   ln -sf ../usr/bin/${_fname}
done

cd  /sbin
for _fname in ${sbin_files}
do
    rm -f ${_fname}
    ln -sf ../usr/sbin/${_fname}
done

chmod 4755 /usr/bin/mount /usr/bin/umount
chmod 4750 /usr/bin/eject
chmod 2755 /usr/bin/wall /usr/bin/write


cd /usr/bin
ln -sf setarch i386
ln -sf setarch linux32
ln -sf setarch linux64
}


# ---------------------------------------------------------------------------
# update-2.6.5
# ---------------------------------------------------------------------------
update_2_6_5()
{

chmod 4755 /usr/bin/mount /usr/bin/umount
chmod 4750 /usr/bin/eject
chmod 2755 /usr/bin/wall /usr/bin/write
}

# ---------------------------------------------------------------------------
# update-2.7.0
# ---------------------------------------------------------------------------
update_2_7_0()
{
    chmod 4755 /usr/bin/mount /usr/bin/umount
    chmod 4750 /usr/bin/eject
    chmod 2755 /usr/bin/wall /usr/bin/write
}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
